Skip to content

List 'TenantApplicantAdditionalResident'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Query
_jsonlboolean
_order_byArray of strings
Example:_order_by=field_a,-field_b
_pageinteger, (int32), >= 1

Additional Validation Information:

This value must be set together with the following fields: _page_size

_page_sizeinteger, (int32)

Additional Validation Information:

This value must be set together with the following fields: _page

_slimboolean
_statisticsboolean
global_realestatesArray of any
global_segmentsArray of any
birth_dateany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

created_atany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: gt, Supports negation (via !): True

Operator: gte, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: lt, Supports negation (via !): True

Operator: lte, Supports negation (via !): True

custom_idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: contains, Supports negation (via !): True

Operator: endswith, Supports negation (via !): True

Operator: icontains, Supports negation (via !): True

Operator: iendswith, Supports negation (via !): True

Operator: iexact, Supports negation (via !): True

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

Operator: istartswith, Supports negation (via !): True

Operator: startswith, Supports negation (via !): True

idany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

organizationany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

tenant_applicantany

Filter can be negated by adding a ! to the end of the parameter name.

Additional operators:

Operator: in, Supports negation (via !): True

Operator: isnull, Supports negation (via !): True

GET
/markets/applicants/tenantapplicantadditionalresident/list/
curl -i -X GET \
  'https://dev.api.pigello.io/markets/applicants/tenantapplicantadditionalresident/list/?_jsonl=true&_order_by=field_a%2C-field_b&_page=1&_page_size=0&_search=string&_slim=true&_statistics=true&global_realestates=&global_segments=&birth_date=%7Bbirth_date%7D&created_at=%7Bcreated_at%7D&custom_id=%7Bcustom_id%7D&id=%7Bid%7D&organization=%7Borganization%7D&tenant_applicant=%7Btenant_applicant%7D' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful query

Bodyapplication/json
Array [
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

tenant_applicantobject(TenantApplicant)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
birth_datestring or null, (date)
]
Response
[ { "organization": { … }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "tenant_applicant": { … }, "birth_date": "2019-08-24" } ]